{# yes, I know quote doesn't guard against all yaml-isms
# but if you use "to_yaml" it mysteriously inserts the end-of-document marker "..."
# which, of course, elides the rest of this document #}
storagePassword: "{{ janus_cassandra_password | quote }}"

extraEnvs:
# set this to a non-empty value to toggle on debug for our entrypoint
# as well as gremlin-server.sh
- name: DEBUG

# this is the middle name of the janusgraph-${foo}-server.properties
# file that will be copied and attempted to do env-var injection
- name: JANUS_PROPS_TEMPLATE
  value: cql-es

# mask off this value, as there is no local storage to connect to
- name: JANUS_STORAGE_TIMEOUT

properties:
  storage.backend: cql
  # 9042/TCP := cql
  # 9160/TCP := thrift
  storage.hostname: cass-cassandra.cass.svc.cluster.local:9042
  storage.username: cassandra
  # and then the storage password is injected via env-var

  index.search.backend: lucene
  index.search.directory: /var/lib/janusgraph/searchindex
